View Issue Details

IDProjectCategoryView StatusLast Update
0008560LazarusLCLpublic2013-09-03 12:07
ReporterAntônio Galvão Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.21 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0008560: Menu items and TToolbar do not show hints
DescriptionMenu items and TToolbar do not show hints.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2007-06-05 14:00

manager   ~0012974

Toolbar and toolbar buttons hints are shown if ShowHint is true.

Vincent Snijders

2007-06-05 14:18

manager   ~0012975

Postponed hints for TMenuitems.

samuel herzog

2009-07-09 06:18

developer   ~0028995

I am trying to solve this issue. But...

TMenuItem = class(TLCLComponent) <-- TMenuItem is descant of TLCLComponent

while Hint-Stuff is introduced in TControl
TControl = class(TLCLComponent) <-- TControl is descant of TLCLComponent

So if there shall be hint's on menuitems one day, we have two possibilties.

A) make TMenuItem a descant of TControl. (I don't like this)
B) move Hint-Stuff from TControl Implementation into TLCLComponent.

Do you have any other ideas ?
What would you prefer ?

Paul Ishenin

2009-07-09 08:25

manager   ~0028996

What do you want to fix? Menu items does not show hints but their hints can be used by statusbar. Place a statusbar on a form and set it AutoHint to True. Then set hints for menu items. Your hints must have long hint parts (for example: "Test short hint|Test long hint" without quotes). As result you will see menu hints in the statusbar.

Issue History

Date Modified Username Field Change
2007-03-21 16:49 Antônio Galvão New Issue
2007-03-21 16:49 Antônio Galvão Widgetset => Win32
2007-03-21 19:26 Vincent Snijders LazTarget => 1.0
2007-03-21 19:26 Vincent Snijders Status new => acknowledged
2007-06-05 14:00 Vincent Snijders Note Added: 0012974
2007-06-05 14:18 Vincent Snijders LazTarget 1.0 => post 1.2
2007-06-05 14:18 Vincent Snijders Note Added: 0012975
2009-07-09 06:19 samuel herzog Note Added: 0028995
2009-07-09 08:25 Paul Ishenin Note Added: 0028996
2009-07-09 10:26 Paul Ishenin Status acknowledged => resolved
2009-07-09 10:26 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-07-09 10:26 Paul Ishenin Resolution open => fixed
2009-07-09 10:26 Paul Ishenin Assigned To => Paul Ishenin
2009-10-23 00:40 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4